> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valar.space/llms.txt
> Use this file to discover all available pages before exploring further.

# List payloads for a spacecraft

> Retrieves all payloads for a parent spacecraft resolved strictly by id, ordered by payloadIndex ascending. Returns 404 if the parent spacecraft does not exist.



## OpenAPI

````yaml https://api.valar.space/api-docs/mintlify get /operations/spacecraft/{spacecraftId}/payloads
openapi: 3.0.1
info:
  contact:
    email: api@valar.space
    name: Valar Space
    url: https://valar.space
  description: >-
    <H4>Welcome to the documentation for the Valar Operations API, here are some
    quick tips if you just landed!</H4><ol><li> The top level elements are the
    <b>Resources</b> accessible via the API and the different queries used to
    interact with each resource via the appropriate HTTP method call.</li><li>
    You can expand each method to get further information on the expected input
    parameters and the different responses that can be received.</li><li>For
    both the input parameters and responses, an <b>Example</b> is present for
    clarification.</li><li>For further details, the example snipped can be
    switched to <b>Schema</b> view, where a detailed explanation of each element
    can be found.</li><li>The <b>Try it out</b> button can be used to call the
    API directly from the documentation page, which allows for some easy testing
    and also provides the equivalent 'curl' command line code for easy
    portability of the call execution.</li><li><b>Before starting</b>, remember
    to use the token endpoint and activate the token with the <b>Authorize</b>
    button.</li></ol>
  title: API Documentation
  version: 1.0.0
servers:
  - url: /
    description: Default Server URL
  - url: https://api.valar.space
    description: API Server
security:
  - apiKeyAuth: []
tags:
  - description: >-
      Operations for managing state vectors — listing, importing, exporting, and
      deleting spacecraft state data
    name: State Vectors
  - description: Register, list, read, update, and manage the lifecycle of your spacecraft.
    name: Spacecraft
  - description: Manage the thrusters mounted on a spacecraft.
    name: Thrusters
  - description: Manage the payloads (sensors) mounted on a spacecraft.
    name: Payloads
paths:
  /operations/spacecraft/{spacecraftId}/payloads:
    get:
      tags:
        - Payloads
      summary: List payloads for a spacecraft
      description: >-
        Retrieves all payloads for a parent spacecraft resolved strictly by id,
        ordered by payloadIndex ascending. Returns 404 if the parent spacecraft
        does not exist.
      operationId: listOperationsPayloads
      parameters:
        - description: Parent spacecraft id
          in: path
          name: spacecraftId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponsePayloadResponse'
          description: Payloads retrieved successfully
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BearerTokenErrorResponse'
          description: Unauthorized - JWT token missing or invalid
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden - User lacks PERM_read:spacecraft permission
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Parent spacecraft not found
      security:
        - bearerAuth: []
components:
  schemas:
    ListResponsePayloadResponse:
      type: object
      properties:
        items:
          type: array
          description: The list of items
          items:
            $ref: '#/components/schemas/PayloadResponse'
        totalCount:
          type: integer
          description: Total number of items in the list
          format: int32
          example: 5
      description: Wrapper for non-paginated list responses
    BearerTokenErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: OAuth 2.0 error code
          example: invalid_token
        error_description:
          type: string
          description: Human-readable error description
          example: An error occurred while attempting to decode the Jwt
      description: OAuth 2.0 Bearer Token error response (RFC 6750)
    ErrorResponse:
      type: object
      properties:
        details:
          type: object
          additionalProperties:
            type: object
            description: Structured error details with scenario-specific context fields
            nullable: true
          description: Structured error details with scenario-specific context fields
          nullable: true
        error:
          type: string
          description: HTTP status reason phrase or error category
          example: Bad Request
        fieldErrors:
          type: object
          additionalProperties:
            type: string
            description: >-
              Per-field validation error messages, present only for validation
              errors
            nullable: true
          description: >-
            Per-field validation error messages, present only for validation
            errors
          nullable: true
        message:
          type: string
          description: Detailed error message
          example: Validation failed
        path:
          type: string
          description: The request path where the error occurred
          example: /measurements
        status:
          type: integer
          description: The HTTP status code
          format: int32
          example: 400
        timestamp:
          type: string
          description: The timestamp when the error occurred
          format: date-time
          example: '2025-11-14T10:15:30.123Z'
    PayloadResponse:
      type: object
      properties:
        boresight:
          type: string
          enum:
            - X+
            - X-
            - Y+
            - Y-
            - Z+
            - Z-
        fovShape:
          type: string
          enum:
            - CONICAL
            - RECTANGULAR
            - ELLIPTICAL
            - POLYGON
        halfAngleDeg:
          type: number
          format: double
        halfHeightDeg:
          type: number
          format: double
        halfWidthDeg:
          type: number
          format: double
        id:
          type: string
        name:
          type: string
        payloadIndex:
          type: integer
          format: int32
        positionX:
          type: number
          format: double
        positionY:
          type: number
          format: double
        positionZ:
          type: number
          format: double
        radiusDeg:
          type: number
          format: double
        sides:
          type: integer
          format: int32
  securitySchemes:
    apiKeyAuth:
      description: 'API Key (format: vsp_sk_...)'
      scheme: bearer
      type: http

````